### Method

# Gtk TreeSelection get_user_data

deprecated: 4.10

#### Declaration [src]

    gpointer
    gtk_tree_selection_get_user_data (
      GtkTreeSelection* selection
    )

#### Description [src]

Returns the user data for the selection function.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

The user data.

The returned data is owned by the instance.
The return value can be `NULL`.